Luke for Lucene 2.3?

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Luke for Lucene 2.3?

vivek sar
Hi,

 Has anyone tried Luke v0.7.1 with the latest Lucene build, v2.3? I'm
getting "Unknown format version: -4" error when opening Lucene 2.3
index with Luke 0.7.1. Is there any upgraded version of Luke anywhere?

I also read something about web-based Luke, but can't find it in the
contrib in 2.3, is it part of Lucene 2.3? How do I use it?

Thanks,
-vivek

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Luke for Lucene 2.3?

Mark Miller-3
Go to the luke home page (google lucene luke) and it will show you how
to start it up using the latest jar. You just launch the main class with
the lucene jar of your choice and the luke jar on the class path.

vivek sar wrote:

> Hi,
>
>  Has anyone tried Luke v0.7.1 with the latest Lucene build, v2.3? I'm
> getting "Unknown format version: -4" error when opening Lucene 2.3
> index with Luke 0.7.1. Is there any upgraded version of Luke anywhere?
>
> I also read something about web-based Luke, but can't find it in the
> contrib in 2.3, is it part of Lucene 2.3? How do I use it?
>
> Thanks,
> -vivek
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
>  

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Luke for Lucene 2.3?

Kyle Maxwell-5
In reply to this post by vivek sar
On 1/29/08, vivek sar <[hidden email]> wrote:

> Hi,
>
>  Has anyone tried Luke v0.7.1 with the latest Lucene build, v2.3? I'm
> getting "Unknown format version: -4" error when opening Lucene 2.3
> index with Luke 0.7.1. Is there any upgraded version of Luke anywhere?
>
> I also read something about web-based Luke, but can't find it in the
> contrib in 2.3, is it part of Lucene 2.3? How do I use it?
>
> Thanks,
> -vivek

I hacked luke for compatibility a few months ago.  I just uploaded the
source to http://drop.io/customluke.  I don't have time to properly
create a project, etc, but I release my additions to the public
domain, and disclaim all warranty.

--
Kyle Maxwell
Software Engineer
CastTV, Inc
http://www.casttv.com

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Luke for Lucene 2.3?

Kyle Maxwell-5
In reply to this post by Mark Miller-3
> Go to the luke home page (google lucene luke) and it will show you how
> to start it up using the latest jar. You just launch the main class with
> the lucene jar of your choice and the luke jar on the class path.

IME, there were a couple additional (trivial) bugs due to internal api
changes, such that running luke like this was not possible.

--
Kyle Maxwell
Software Engineer
CastTV, Inc
http://www.casttv.com

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Luke for Lucene 2.3?

mark harwood
In reply to this post by vivek sar

> I also read something about web-based Luke, but can't find it in the
> contrib in 2.3, is it part of Lucene 2.3? How do I use it?
>  

See here:
http://www.mail-archive.com/java-dev@.../msg13287.html

I think we decided to hold off until after the Lucene 2.3 release before
adding to contrib so it should appear there soon.

Cheers
Mark


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Luke for Lucene 2.3?

Paleo Tek
In reply to this post by vivek sar
vivek sar wrote:

> Hi,
>
>  ...
>
> I also read something about web-based Luke, but can't find it in the
> contrib in 2.3, is it part of Lucene 2.3? How do I use it?
>
> Thanks,
> -vivek
>                            
I'm using Julien Nioche's tool, LIMO, which is probably what you mean by
a web-based Luke.  To use it with 2.3, you need to replace the older
Lucene jar files with the newer versions (directions below).  You can
find LIMO at http://limo.sf.net/  It's a fine tool for seeing what's
happing inside your index when X-Windows isn't an option.

              -Jim H.

PS:  The same technique can be used to drop Lucene 2.3 into solr.  I
haven't identified any problems with either, but YMMV.


// Download and unpack the compiled source

cd /tmp

wget
http://government-grants.org/mirrors/apache.org/lucene/java/lucene-2.3.0.tar.gz

gzip -d lucene-2.3.0.tar.gz

tar xvf lucene-2.3.0.tar


// Replace the existing limo.war file with one that includes the new
lucene libraries


mkdir limo

cp <my limo.war path>/limo.war limo

cd limo

jar xvf limo.war

rm -f WEB-INF/lib/lucene*

cp ../lucene-2.3.0/lucene-core-2.3.0.jar WEB-INF/lib

cp ../lucene-2.3.0/contrib/analyzers/lucene-analyzers-2.3.0.jar WEB-INF/lib

cp ../lucene-2.3.0/contrib/highlighter/lucene-highlighter-2.3.0.jar
WEB-INF/lib

cp ../lucene-2.3.0/contrib/spellchecker/lucene-spellchecker-2.3.0.jar
WEB-INF/lib

cp ../lucene-2.3.0/contrib/snowball/lucene-snowball-2.3.0.jar WEB-INF/lib

rm limo.war

jar cvf limo.war *

cp limo.war <my limo.war path>


Enjoy the crunchy goodness of Lucene 2.3!





---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]